<?php
	include("../../cabecera.php");

	if($_REQUEST['pag']=="")
	{
		$pag=0;
	} else
	{
		$pag=$_REQUEST['pag'];
	}
	$sql="SELECT * FROM alumnos WHERE idCentro=".$_SESSION['centro'];
	if($_REQUEST['ord']=="")
	{
		$sql=$sql." ORDER BY id";
		$orden="Id";
	} else
	{
		switch($_REQUEST['ord'])
		{
			case 0:
				$sql=$sql." ORDER BY apellidos";
				$orden=" Apellidos";
				break;
			case 1:
				$sql=$sql." ORDER BY nie";
				$orden=" NIE";
				break;
			case 2:
				$sql=$sql." ORDER BY idCurso";
				$orden=" Curso";
				break;
			case 3:
				$sql=$sql." ORDER BY idGrupo";
				$orden=" Grupo";
				break;
			case 4:
				$sql=$sql." ORDER BY idCentro";
				$orden=" Centro";
				break;
		}
		$anadido="&ord=".$_REQUEST['ord'];
	}
	$consulta=mysql_query($sql,$conexion);
	$numreg=mysql_num_rows($consulta);

	if($_REQUEST['alppag']=="")
	{
		$alppag=20;
	} else
	{
		$alppag=$_REQUEST['alppag'];
		$anadido=$anadido."&alppag=".$_REQUEST['alppag'];
	}


	$npag=floor($numreg/$alppag)+1;

	$maxreg=$pag*$alppag+$alppag;

	if($maxreg>$numreg)
	{
		$maxreg=$numreg;
	}

	$hasta=$pag*$alppag;

	for($i=0;$i<$hasta;$i++)
	{
		$fila=mysql_fetch_array($consulta);
	}
?>
<script language="javascript">
	function seleccionar (n)
	{
		for(i=0;i<=5;i++)
		{
			document.getElementById("lista"+i+n).style.backgroundColor="#ccc";
		}
	}
	function desseleccionar (n)
	{
		for(i=0;i<=5;i++)
		{
			document.getElementById("lista"+i+n).style.backgroundColor="#eee";
		}
	}
</script>
<table class="titular" cellpadding="0" cellspacing="0">
	<tr>
		<td>Informe de Evaluaci&oacute;n Psicopedag&oacute;gica</td>
	</tr>
</table>
<form id=formulario method="post" action="informepsicopedagogico.php">
<table>
  <tr>
  	<td style="font-family:tahoma;font-size:12;text-align:center">
  	<?php
  		if($pag!=0)
  		{
  	?>
		 <a href="informepsicopedagogico.php?pag=<?php echo $pag-1?><?php echo $anadido?>" style="font-weight:bold;color:#f2b800">&lt;</a>
  	<?php
  		}
			for($i=1;$i<=$npag;$i++)
			{
				if($i==$pag+1)
				{
		?>
		  <font style="color:#f2b800;font-weight:bold">[</font><?php echo $i?><font style="color:#f2b800;font-weight:bold">]</font>
		<?php
				} else
				{
		?>
		  <font style="color:#f2b800;font-weight:bold">[</font><a href="informepsicopedagogico.php?pag=<?php echo $i-1?><?php echo $anadido?>" style="font-weight:bold;color:#000"><?php echo $i?></a><font style="color:#f2b800;font-weight:bold">]</font>
		<?php
				}
			}
  		if($pag!=$npag-1 && $npag!=1)
  		{
  	?>
		 <a href="informepsicopedagogico.php?pag=<?php echo $pag+1?><?php echo $anadido?>" style="font-weight:bold;color:#f2b800;">&gt;</a>
  	<?php
  		}
  	?>
  	</td>
  </tr>
	<tr>
  	<td style="font-family:tahoma;font-size:12;font-weight:bold;text-align:center;height:40"><?php echo $numreg?> registro/s, mostrando del <?php echo $pag*$alppag+1?> al <?php echo $maxreg?>, ordenados por <?php echo $orden?></td>
	</tr>
  <tr>
  	<td style="font-family:tahoma;font-size:12;text-align:center">Alumnos por p&aacute;gina
  	  <input type="hidden" name="ord" value="<?php echo $_REQUEST['ord']?>">
  	  <select name="alppag" class=caja style="width:50" onchange="formulario.submit()">
  	    <option value="<?php echo $alppag?>"><?php echo $alppag?>
  	    <option value="10">10
  	    <option value="20">20
  	    <option value="50">50
  	    <option value="100">100
  	  </select>
  	</td>
  </tr>
</table>
</form>
<table>
    <tr>
		<td class="fichaden" style="border:0">Seleccione el alumno del cual desea realizar el informe</td>
    </tr>
</table>
<table cellpadding="0" cellspacing="0" style="border:1px solid #ccc">
	<tr>
		<td class=titulolista style="width:20;border-right:1px solid #fff">&nbsp;</td>
		<td class=titulolista style="border-right:1px solid #fff;width:300"><a href="informepsicopedagogico.php?ord=0&alppag=<?php echo $alppag?>">Alumno</a></td>
                <td class=titulolista style="width:100;border-right:1px solid #fff"><a href="informepsicopedagogico.php?ord=1&alppag=<?php echo $alppag?>">N&ordm; EXP</a></td>
		<td class=titulolista style="width:100"><a href="informepsicopedagogico.php?ord=2&alppag=<?php echo $alppag?>">CURSO</a></td>
		<td class=titulolista style="border-left:1px solid #fff;width:80"><a href="informepsicopedagogico.php?ord=3&alppag=<?php echo $alppag?>">GRUPO</a></td>
		<td class=titulolista style="border-left:1px solid #fff;width:320"><a href="informepsicopedagogico.php?ord=4&alppag=<?php echo $alppag?>">CENTRO</a></td>
		<?php
			$cont=0;
			while($fila=mysql_fetch_array($consulta))
			{
		?>
			<tr>
				<td class=lista id="lista0<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="text-align:center;border-right:1px solid #fff"><a href="informepsicopedagogicoform.php?id=<?php echo $fila['id']?>"><img src="../../imagenes/flecha.gif" style="border:0;width:7;height:13"></a></td>
				<td class=lista id="lista1<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="border-right:1px solid #fff;"><a href="informepsicopedagogicoform.php?id=<?php echo $fila['id']?>"><?php echo $fila['apellidos'].", ".$fila['nombre']?></a></td>
				<td class=lista id="lista2<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="text-align:right;padding-right:10"><a href="informepsicopedagogicoform.php?id=<?php echo $fila['id']?>"><?php echo $fila['NIE']?></a></td>
				<td class=lista id="lista3<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)"style="text-align:left;border-left:1px solid #fff">
					<a href="informepsicopedagogicoform.php?id=<?php echo $fila['id']?>">
					<?php
						$consultaCur=mysql_query("SELECT * FROM cursos WHERE id=".$fila['idCurso'],$conexion);
						$filaCur=mysql_fetch_array($consultaCur);
						echo $filaCur ['cursos'];
					?>
					</a>
				</td>
				<td class=lista id="lista4<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)"style="text-align:center;border-left:1px solid #fff;padding-left:0">
					<a href="informepsicopedagogicoform.php?id=<?php echo $fila['id']?>">
					<?php
						$consultaGru=mysql_query("SELECT * FROM grupos WHERE id=".$fila['idGrupo'],$conexion);
						$filaGru=mysql_fetch_array($consultaGru);
						echo $filaGru ['grupo'];
					?>
					</a>
				</td>
				<td class=lista id="lista5<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)"style="text-align:center;border-left:1px solid #fff;padding-left:0">
					<a href="informepsicopedagogicoform.php?id=<?php echo $fila['id']?>">
					<?php
						$consultaCentro=mysql_query("SELECT * FROM centros WHERE id=".$fila['idCentro'],$conexion);
						$filaCentro=mysql_fetch_array($consultaCentro);
						echo $filaCentro ['centro'];
					?>
					</a>
				</td>
			</tr></a>
		<?php
				$cont++;
				if($cont==$alppag)
				{
					break;
				}
			}
		?>
	</tr>
</table>
<table cellpadding="0" cellspacing="0">
  <tr>
  	<td style="font-family:tahoma;font-size:10">
  		* Pincha sobre el titulo de la columna para ordenar
  	</td>
  </tr>
</table>
<?php
	include("../../pie.php");
?>